Subject: Re: WMIC
From: Bruno Galindro da Costa <[email-masked]>
To: Christian Franke <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 May 2009 13:53:37 -0300
List-Id: <cygwin.cygwin.com>

Christian,

   It Works perfectly for both! Can you explain why that commands
works and not only "wmic cpu list full"?

Thank you very much!

2009/5/12 Christian Franke <[email-masked]>:
> Bruno Galindro da Costa wrote:
>>
>>    I´m trying to run the WMIC (WMI Command-line interface) via Cygwin
>> to parse the results with grep, awk, etc. But, when I try to run it,
>> the cursor indicates that the command is executing, but nothing is
>> printed on screen and the cursor is not released.
>>    I maked a batch script (.cmd) which executes the WMIC and log the
>> output into a log file. Then, I tried to call it with Cygwin, but the
>> same behaviour happens.
>>
>> The command I want to execute is:
>>
>> "WMIC CPU LIST FULL"
>>
>> Anyone can help me to resolve the above problem?
>>
>
> The following works for me in Cygwin console (notty, tty, and mintty) on
> XP:
>
> $ echo '' | wmic cpu list full
>
> or
>
> $ wmic cpu list full </dev/null
>
>
> --
> Christian Franke
>
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

-- 
Att.
Bruno Galindro da Costa
[email-masked]
Florianópolis - SC

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/